import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

import yukang from "@/view/yukang/index.vue";
import layout from "@/view/layout/index";
import live from "@/view/live/index";

const routes = [
  {
    path: "/",
    redirect: "/contrast",
    name: "parendTopic",
    component: layout,
    children: [
      {
        path: "/contrast",
        name: "compare",
        component: resolve => require(["@/view/index/index.vue"], resolve)
      },
      {
        path: "/topic",
        name: "topic",
        component: yukang
      },
      {
        path: "/resist-yulin",
        name: "resist-yulin",
        component: yukang
      },
      {
        path: "/gather-yanan",
        name: "gather-yanan",
        component: yukang
      },
      {
        path: "/gather-xian",
        name: "gather-xian",
        component: yukang
      },
      {
        path: "/gather-tong",
        name: "gather-tong",
        component: yukang
      },
      {
        path: "/gather-han",
        name: "gather-han",
        component: yukang
      },
      {
        path: "/gather-shang",
        name: "gather-shang",
        component: yukang
      },
    ]
  },
  {
    path:"/secondTopic/:select",
    name: "secondTopic",
    component: resolve => require(["@/view/secondTopic/index.vue"], resolve)
  },
  {
    path: "/live",
    name: "live",
    component: live,
    children:[
      {
        path: "douyin",
        name: "liveDouyin",
        component: resolve => require(["@/view/liveDouyin/index.vue"], resolve)
      },
      {
        path: "kuaishou",
        name: "kuaishou",
        component: resolve => require(["@/view/liveKuaishou/index.vue"], resolve)
      },
    ]
  }
];

export default new VueRouter({
  routes
});
