"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _axios = _interopRequireDefault(require("axios"));

var _index = _interopRequireDefault(require("../config/index"));

var _toast = _interopRequireDefault(require("vant/lib/toast"));

require("vant/lib/toast/style");

var _coreJs = require("core-js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var service = _axios["default"].create({
  baseURL: _index["default"].apiUrl,
  headers: {
    'Accept': '*/*'
  },
  timeout: _index["default"].timeout
});

var loading = undefined;
service.interceptors.request.use(function (config) {
  loading = !config.closeLoading;

  if (loading) {
    _toast["default"].loading({
      duration: 0,
      // 持续展示 toast
      forbidClick: true
    });
  }

  config.headers['requestId'] = new Date().getTime();
  config.headers['Authorization'] = '';
  return config;
}, function (error) {
  _coreJs.Promise.reject(error);
});
service.interceptors.response.use(function (response) {
  //Grade
  var res = response;

  _toast["default"].clear();

  if (res.status !== 200) {
    _toast["default"].fail('请稍后重试'); //return Promise.reject('error')

  } else {
    return res.data;
  }
}, function (error) {
  console.log('error', error);

  _toast["default"].clear();

  _toast["default"].fail('服务器可能出了点问题', error);

  return _coreJs.Promise.reject(error); //千万不能去掉，，，否则请求超时会进入到then方法，导致逻辑错误。
});
var _default = service;
exports["default"] = _default;